api_documentation: http://docs.ros.org/fuerte/api/rosatomic/html
authors: Josh Faust
brief: C++11-style atomic operations
bugtracker: ''
depends: ''
depends_on:
- teleop_controllers
- pr2_manipulation_controllers
- rosrt
- lockfree
description: "\n\n     rosatomic provides the C++11-style atomic operations by pulling\
  \ symbols from the proposed Boost.Atomic\n     package into the ros namespace. \
  \ Once C++11-style atomics (std::atomic) are available from compilers, rosatomic\
  \ will\n     conditionally use those instead.\n\n  "
doc_job: doc-fuerte-ros_realtime
license: BSD, Boost
maintainers: ''
metapackages:
- ros_realtime
msgs: []
package_type: package
repo_name: ros_realtime
repo_url: ''
srvs: []
timestamp: 1388252071.467409
url: http://ros.org/wiki/rosatomic
vcs: git
vcs_uri: https://github.com/ros/ros_realtime.git
vcs_version: master
